Skip to main content

Get PA Request Details

GET 

/v1/pa-requests/:id

Fetch detailed information about a specific pre-authorization request

Request

Path Parameters

    id integerrequired

    The ID of the PA request to retrieve

Query Parameters

    for_claim boolean

    When true, includes tariff items, diagnoses, and care details

    for_edit boolean

    When true, includes HMO, enrollee, items, and diagnoses details

    activity_export boolean

    When true, returns activities data for export

    pa_management_permission boolean

    When true, initializes PA request chat

    for_auto_vet boolean

    When true, includes auto-vet recommendation data and additional relations

Responses

Success

Schema
    id integer
    code string
    pr_code string

    Prescription referral code (PR-XXXXX) if this PA is linked to an encounter.

    pa_code_with_submitted_claims boolean
    provider object
    id integer
    name string
    hmo object
    id integer
    name string
    enrollee object
    id integer
    firstname string
    lastname string
    insurance_no string
    hmo_plan object
    id integer
    name string
    diagnoses object[]
  • Array [
  • id integer
    icd_code string
    name string
  • ]
  • cares object[]
  • Array [
  • id integer
    name string
    benefit objectnullable

    Summary of the matched plan benefit for the returned care or treatment item.

    id integer

    The unique ID of the matched plan benefit.

    label stringnullable

    Human-readable label for the matched benefit.

    source_type stringnullable

    Possible values: [care, care_group, care_type, diagnosis]

    Indicates how the benefit was matched.

    care_group objectnullable

    Care group metadata when the matched benefit comes from a care-group rule.

    id integernullable
    name stringnullable
  • ]
  • items object[]
  • Array [
  • tariff_item object
    id integer
    amount number
    desc string
    benefit objectnullable

    Summary of the matched plan benefit for the returned care or treatment item.

    id integer

    The unique ID of the matched plan benefit.

    label stringnullable

    Human-readable label for the matched benefit.

    source_type stringnullable

    Possible values: [care, care_group, care_type, diagnosis]

    Indicates how the benefit was matched.

    care_group objectnullable

    Care group metadata when the matched benefit comes from a care-group rule.

    id integernullable
    name stringnullable
  • ]
  • auto_vet_recommendation object

    Only visible when for_auto_vet is true

    activities object[]
Loading...